/**
 * updates the devDependencies of the consumer of igniter-react-component
 * whenever this package being install or updated
 */

var exec = require('child_process').exec;
var devPackage = require("./dev/package.json");
var path = require("path");
var parentDir = path.normalize(__dirname + "/../../");

var packages = [];
for (var package in devPackage.devDependencies) {
  if (devPackage.devDependencies.hasOwnProperty(package)) {
    packages.push(package + "@" + devPackage.devDependencies[package]);
  }
}

if (packages.length) {
  var ps = exec("npm install " + packages.join(" "), {
    cwd: parentDir
  });
  ps.stdout.pipe(process.stdout);
  ps.stderr.pipe(process.stderr);
}
